Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018671
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2011-10-03 10:382011-10-19 14:05
ReportermalsasuaView Statuspublic 
Assigned Toeduardo_Argal 
PriorityimmediateResolutionfixedFixed in Version3.0MP4
StatusclosedFix in branchFixed in SCM revision08d4bd8c6852
ProjectionnoneETAnoneTarget Version3.0MP4
OSLinux 32 bitDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018671: you can not add transaction in financial account with multicurrency (only in ORACLE)

DescriptionIn oracle database enviroment, with multicurrency, if you try add a transaction in financial account, error is returned
Steps To Reproduce. create and process a new sales invoice in USD
 . org: F&B España
 . payment method: wire transfer
 . bp: alimentos y supermercados S.A.

. in financial account in USD and org F&B España
 . payment mehtod wire transfer
  . payment in
   . execution type: manual
   . receive in other currency: selected
   . Upon deposit use: cleared...
   . automatic payment, automatic withdrawn, upon reconciliate use: void

 . add transaction:
  . document "received in"
  . add payment in/out
   . currency USD
   . received from "Alimentos y Supermercados S.A"
   . select the initial invoice and process
    . process received payments and deposit: selected
Error
org.hibernate.exception.SQLGrammarException: Could not execute JDBC batch update
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0041592)
hgbot (developer)
2011-10-11 17:10

Repository: erp/devel/pi
Changeset: 25b229f91bc63dbe090f51a920e68323ffb63e0c
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue Oct 04 18:02:36 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/25b229f91bc63dbe090f51a920e68323ffb63e0c [^]

Fixes bug 18671: you can not add transaction

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransaction.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
R src-db/database/model/triggers/FIN_FINACC_TRANSACTION_TRG.xml
R src-db/database/model/triggers/FIN_PAYMENT_TRG.xml
---
(0041768)
hudsonbot (developer)
2011-10-12 02:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041784)
malsasua (developer)
2011-10-13 10:03

verified
(0041884)
hgbot (developer)
2011-10-18 17:25

Repository: erp/devel/pi
Changeset: 08d4bd8c6852134c8323029673d7639b39206bce
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Tue Oct 04 18:02:36 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/08d4bd8c6852134c8323029673d7639b39206bce [^]

Fixes bug 18671: you can not add transaction

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransaction.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
R src-db/database/model/triggers/FIN_FINACC_TRANSACTION_TRG.xml
R src-db/database/model/triggers/FIN_PAYMENT_TRG.xml
---
(0041932)
shuehner (administrator)
2011-10-19 14:05

re-closing, as last checkin message not real, just triggered by a code-line merge.

- Issue History
Date Modified Username Field Change
2011-10-03 10:38 malsasua New Issue
2011-10-03 10:38 malsasua Assigned To => jonalegriaesarte
2011-10-03 10:38 malsasua Web browser => Google Chrome
2011-10-03 10:38 malsasua Modules => Core
2011-10-04 18:01 eduardo_Argal Status new => scheduled
2011-10-04 18:01 eduardo_Argal Assigned To jonalegriaesarte => eduardo_Argal
2011-10-04 18:01 eduardo_Argal fix_in_branch => pi
2011-10-07 12:09 shuehner Web browser Google Chrome => Google Chrome
2011-10-07 12:09 shuehner Priority urgent => immediate
2011-10-07 12:09 shuehner Target Version => 3.0MP4
2011-10-07 12:09 shuehner fix_in_branch pi =>
2011-10-11 17:10 hgbot Checkin
2011-10-11 17:10 hgbot Note Added: 0041592
2011-10-11 17:10 hgbot Status scheduled => resolved
2011-10-11 17:10 hgbot Resolution open => fixed
2011-10-11 17:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/25b229f91bc63dbe090f51a920e68323ffb63e0c [^]
2011-10-12 02:02 hudsonbot Checkin
2011-10-12 02:02 hudsonbot Note Added: 0041768
2011-10-13 10:03 malsasua Note Added: 0041784
2011-10-13 10:03 malsasua Status resolved => closed
2011-10-13 10:03 malsasua Fixed in Version => 3.0MP4
2011-10-18 17:25 hgbot Checkin
2011-10-18 17:25 hgbot Note Added: 0041884
2011-10-18 17:25 hgbot Status closed => resolved
2011-10-18 17:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/25b229f91bc63dbe090f51a920e68323ffb63e0c [^] => http://code.openbravo.com/erp/devel/pi/rev/08d4bd8c6852134c8323029673d7639b39206bce [^]
2011-10-19 14:05 shuehner Note Added: 0041932
2011-10-19 14:05 shuehner Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker